Package twisted :: Package spread :: Module publish :: Class Publishable

[show private | hide private]
[frames | no frames]

## Class Publishable

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                           Publishable

An object whose cached state persists across sessions.

Method Summary
| `__init__(self, publishedID)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get all necessary metadata to keep a clientside cache.
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer. (inherited from `Copyable`)
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective. (inherited from `Copyable`)
| ``getStateToPublish`(self)` Implement me to return state to copy as part of the publish phase.
| ``getStateToPublishFor`(self, perspective)` Implement me to special-case your state for a perspective.
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me. (inherited from `Cacheable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``republish`(self)` Set the timestamp to current and (TODO) update all observers.
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me. (inherited from `Cacheable`)
| ``view_getStateToPublish`(self, perspective)` (internal)

Method Details

### getStateToCacheAndObserveFor(self, perspective, observer)

Get all necessary metadata to keep a clientside cache.

### getStateToPublish(self)

Implement me to return state to copy as part of the publish phase.

### getStateToPublishFor(self, perspective)

Implement me to special-case your state for a perspective.

### republish(self)

Set the timestamp to current and (TODO) update all observers.

### view_getStateToPublish(self, perspective)

(internal)

Generated by Epydoc 1.1 on Thu May 8 13:19:03 2003 | http://epydoc.sf.net